Description

Dear mas Alwi,

Task ini mencakup implementasi tampilan dan alur autentikasi pengguna pada aplikasi Golfscape, yang terdiri dari fitur Login,
Pendaftaran Akun (Register), Verifikasi OTP, dan Reset Password. Setiap proses pendaftaran dan reset password akan diverifikasi
menggunakan kode OTP yang dikirim ke email untuk memastikan email valid dan aktif.

1. Tampilan Login

- Input: Email dan Password.

« Fitur tambahan:

o Checkbox Keep me signed in.

o Tombol Login dan Back.

« Validasi:

o Format email harus valid.

o Password minimal 6 karakter.

« Jika data sesuai, user diarahkan ke halaman utama.

« Jika salah, tampilkan notifikasi “Email atau Password salah”.

2. Tampilan Register / Create Account

¢ Input: Full Name, Email, Password.

» Tombol Register.

+ Setelah tombol Register ditekan:

o Sistem mengirimkan kode OTP (6 digit) ke email user.

o Data user disimpan sementara hingga OTP berhasil diverifikasi.
+ User diarahkan ke halaman OTP Verification.

+ Ketika sudah register maka Untuk Tablenya itu PMDCUS0001

3. Tampilan OTP Verification

* Menampilkan form input 6digit OTP.

 Teks pendukung: “Enter the verification code sent to your email address”.
» Tombol Verify.

+ Jika OTP benar:

o Proses pendaftaran selesai — User diarahkan ke halaman login.

o Untuk reset password — User diarahkan ke halaman ubah password.

+ Jika OTP salah:

o Tampilkan pesan error dan berikan opsi Resend OTP.

4. Tampilan Reset Password

* Proses dimulai dari halaman Login dengan memilih “Forgot Password”.

» User diminta memasukkan email.

+ Sistem mengirimkan OTP ke email.

« Setelah verifikasi OTP berhasil:

0 User mengisi New Password dan Confirm Password.

o Jika password cocok, data diperbarui dan user diarahkan ke halaman login.
o Jika tidak cocok, tampilkan notifikasi “Password tidak sama”.

Protorype Figma :
https://www.figma.com/proto/vL RpEOL WnQhuWvJEe9umOp/CRM-Training-Golf?node-id=213-522&t=rXAAphdkJyNQBxPY-0&scalin
g=scale-down&content-scaling=fixed&page-id=0%3A1&starting-point-node-id=129%3A212

database = 103.153.60.89
nama database = MinovaES_DEMO_GolfCourse
https://www.figma.com/proto/vLRpE0LWnQhuWvJEe9umOp/CRM-Training-Golf?node-id=213-522&t=rXAAphdkJyNQBxPY-0&scaling=scale-down&content-scaling=fixed&page-id=0%3A1&starting-point-node-id=129%3A212
https://www.figma.com/proto/vLRpE0LWnQhuWvJEe9umOp/CRM-Training-Golf?node-id=213-522&t=rXAAphdkJyNQBxPY-0&scaling=scale-down&content-scaling=fixed&page-id=0%3A1&starting-point-node-id=129%3A212

History

#1 - 07/31/2025 11:41 AM - Mr Dhafin
- Due date set to 08/05/2025

#2 - 07/31/2025 03:35 PM - Kezia Pawitra Yulianti
- Due date changed from 08/05/2025 to 08/07/2025

- Status changed from New to Assigned

#3 - 07/31/2025 05:40 PM - Kezia Pawitra Yulianti

- Subject changed from Implementasi Tampilan Login & Daftar pada Aplikasi Golfscape to [CRM] Implementasi Tampilan Login & Daftar pada Aplikasi

Golfscape
